## r-cran-keyring 1.3.0

=== DESCRIPTION ===
Package: keyring
Title: Access the System Credential Store from R
Version: 1.3.0
Authors@R: 
    c(person(given = "Gábor", family = "Csárdi", role = c("aut", "cre"),
             email = "csardi.gabor@gmail.com"),
      person(given = "Alec", family = "Wong", role = "ctb"),
      person("RStudio", role = "cph"))
Description: Platform independent 'API' to access the operating system's
    credential store. Currently supports: 'Keychain' on 'macOS', Credential
    Store on 'Windows', the Secret Service 'API' on 'Linux', and a simple,
    platform independent store implemented with environment variables.
    Additional storage back-ends can be added easily.
License: MIT + file LICENSE
URL: https://r-lib.github.io/keyring/index.html,
        https://github.com/r-lib/keyring#readme
BugReports: https://github.com/r-lib/keyring/issues
RoxygenNote: 7.1.2
Imports: assertthat, askpass, openssl, R6, utils, sodium, yaml,
        filelock, rappdirs, tools
Suggests: callr, covr, mockery, testthat, withr
Encoding: UTF-8
SystemRequirements: Optional: libsecret on Linux (libsecret-1-dev on
        Debian/Ubuntu, libsecret-devel on Fedora/CentOS)
Collate: 'api.R' 'assertions.R' 'backend-class.R' 'backend-env.R'
        'backend-file.R' 'backend-macos.R' 'backend-secret-service.R'
        'backend-wincred.R' 'default_backend.R' 'package.R' 'pass.R'
        'utils.R'
NeedsCompilation: yes
Packaged: 2021-11-28 21:12:16 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Alec Wong [ctb],
  RStudio [cph]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2021-11-29 09:00:13 UTC

=== debian/changelog ===
r-cran-keyring (1.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 04 Dec 2021 22:12:28 +0100

r-cran-keyring (1.2.0-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * lintian-override

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 12:10:52 +0200

r-cran-keyring (1.2.0-1) unstable; urgency=medium

  * Initial release (closes: #988694)

 -- Andreas Tille <tille@debian.org>  Tue, 18 May 2021 13:17:46 +0200

=== debian/control ===
Source: r-cran-keyring
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-assertthat,
               r-cran-askpass,
               r-cran-openssl,
               r-cran-r6,
               r-cran-sodium,
               r-cran-yaml,
               r-cran-filelock,
               r-cran-rappdirs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-keyring
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-keyring.git
Homepage: https://cran.r-project.org/package=keyring
Rules-Requires-Root: no

Package: r-cran-keyring
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: access the system credential store from GNU R
 Platform independent 'API' to access the operating system's
 credential store. Currently supports: 'Keychain' on 'macOS', Credential
 Store on 'Windows', the Secret Service 'API' on 'Linux', and a simple,
 platform independent store implemented with environment variables.
 Additional storage back-ends can be added easily.

## r-cran-keyring 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: keyring
 Title: Access the System Credential Store from R
-Version: 1.3.0
+Version: 1.3.1
 Authors@R: 
     c(person(given = "Gábor", family = "Csárdi", role = c("aut", "cre"),
              email = "csardi.gabor@gmail.com"),
@@ -27,10 +27,10 @@
         'backend-wincred.R' 'default_backend.R' 'package.R' 'pass.R'
         'utils.R'
 NeedsCompilation: yes
-Packaged: 2021-11-28 21:12:16 UTC; gaborcsardi
+Packaged: 2022-10-27 09:28:38 UTC; gaborcsardi
 Author: Gábor Csárdi [aut, cre],
   Alec Wong [ctb],
   RStudio [cph]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-11-29 09:00:13 UTC
+Date/Publication: 2022-10-27 15:15:16 UTC

=== debian/changelog ===
r-cran-keyring (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Update lintian-overrides

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 09:52:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-keyring
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-keyring
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-keyring.git
+Homepage: https://cran.r-project.org/package=keyring
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -15,11 +19,7 @@
                r-cran-yaml,
                r-cran-filelock,
                r-cran-rappdirs
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-keyring
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-keyring.git
-Homepage: https://cran.r-project.org/package=keyring
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-keyring
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/keyring_([-\d.]*)\.tar\.gz

## r-cran-keyring 1.3.2

=== DESCRIPTION ===
Package: keyring
Title: Access the System Credential Store from R
Version: 1.3.2
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Alec", "Wong", role = "ctb"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Platform independent 'API' to access the operating system's
    credential store. Currently supports: 'Keychain' on 'macOS',
    Credential Store on 'Windows', the Secret Service 'API' on 'Linux',
    and simple, platform independent stores implemented with environment
    variables or encrypted files.  Additional storage back-ends can be
    added easily.
License: MIT + file LICENSE
URL: https://keyring.r-lib.org/, https://github.com/r-lib/keyring
BugReports: https://github.com/r-lib/keyring/issues
Depends: R (>= 3.6)
Imports: askpass, assertthat, filelock, openssl, R6, rappdirs, sodium,
        tools, utils, yaml
Suggests: callr, covr, mockery, testthat (>= 3.0.0), withr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
SystemRequirements: Optional: libsecret on Linux (libsecret-1-dev on
        Debian/Ubuntu, libsecret-devel on Fedora/CentOS)
Collate: 'api.R' 'assertions.R' 'backend-class.R' 'backend-env.R'
        'backend-file.R' 'backend-macos.R' 'backend-secret-service.R'
        'backend-wincred.R' 'default_backend.R' 'keyring-package.R'
        'package.R' 'pass.R' 'utils.R'
NeedsCompilation: yes
Packaged: 2023-12-10 23:58:00 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Alec Wong [ctb],
  Posit Software, PBC [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2023-12-11 00:40:02 UTC

=== debian/changelog ===
r-cran-keyring (1.3.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 20:07:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-keyring
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-keyring.git
 Homepage: https://cran.r-project.org/package=keyring
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-askpass,
                r-cran-assertthat,
-               r-cran-askpass,
+               r-cran-filelock,
                r-cran-openssl,
                r-cran-r6,
+               r-cran-rappdirs,
                r-cran-sodium,
-               r-cran-yaml,
-               r-cran-filelock,
-               r-cran-rappdirs
+               r-cran-yaml
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-keyring

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-covr,
        r-cran-mockery,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr
Restrictions: allow-stderr

## r-cran-keyring 1.4.1

=== DESCRIPTION ===
Package: keyring
Title: Access the System Credential Store from R
Version: 1.4.1
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Alec", "Wong", role = "ctb"),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Platform independent 'API' to access the operating system's
    credential store. Currently supports: 'Keychain' on 'macOS',
    Credential Store on 'Windows', the Secret Service 'API' on 'Linux',
    and simple, platform independent stores implemented with environment
    variables or encrypted files.  Additional storage back-ends can be
    added easily.
License: MIT + file LICENSE
URL: https://keyring.r-lib.org/, https://github.com/r-lib/keyring
BugReports: https://github.com/r-lib/keyring/issues
Depends: R (>= 3.5)
Imports: askpass, filelock, R6, tools, utils, yaml
Suggests: callr, covr, openssl, testthat (>= 3.0.0), withr
Biarch: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-04-30
Encoding: UTF-8
RoxygenNote: 7.3.2.9000
SystemRequirements: Optional: libsecret on Linux (libsecret-1-dev on
        Debian/Ubuntu, libsecret-devel on Fedora/CentOS)
NeedsCompilation: yes
Packaged: 2025-06-15 20:21:23 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Alec Wong [ctb],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2025-06-15 21:10:02 UTC

=== debian/changelog ===
r-cran-keyring (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 13:08:18 +0900

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: r-cran-keyring
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-keyring
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-keyring.git
-Homepage: https://cran.r-project.org/package=keyring
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-askpass,
-               r-cran-assertthat,
                r-cran-filelock,
-               r-cran-openssl,
                r-cran-r6,
-               r-cran-rappdirs,
-               r-cran-sodium,
-               r-cran-yaml
-Testsuite: autopkgtest-pkg-r
+               r-cran-yaml,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-keyring
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-keyring.git
+Homepage: https://cran.r-project.org/package=keyring
+Rules-Requires-Root: no
 
 Package: r-cran-keyring
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-covr,
        r-cran-openssl,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr
Restrictions: allow-stderr
